Download OpenAPI specification:
Welcome to Synerise API Reference! We hope that you'll enjoy your stay here.
If you need help with our services, feel free to contact us at [email protected].
Retrieve a refreshed JWT Token to prolong the session.
The current token must still be active at the time of the request.
API consumers who can use this method: Profile (formerly client), Anonymous profile (formerly client)
This method does not require authentication.
| apiKey required | string (ClientApiKey) Profile (formerly "Client") API key |
{- "apiKey": "string"
}{- "token": "string",
- "expiration": 1649283173,
- "created": 1649277173668,
- "origin": "SYNERISE",
- "customId": "card123",
- "realm": "client"
}Obtain a new JWT for a Profile. If an account for the Profile does not exist and the identityProvider is different than SYNERISE, this request creates an account.
| apiKey required | string (ClientApiKey) Profile (formerly "Client") API key |
| identityProvider required | string Enum: "SYNERISE" "FACEBOOK" "OAUTH" "APPLE" "GOOGLE" "UNKNOWN" The identity provider. |
| identityProviderToken | string (AuthIdentityProviderToken) Third-party authentication token used to authenticate with the Identity Provider. Required if |
string (AuthClientEmail) Profile email. Required if | |
| customId | any (AuthClientCustomId) Profile customId. Required if |
| password | string (AuthClientPassword) Profile password. Required if |
| uuid | string (AuthClientUuid) Profile UUID. Required if |
| deviceId | string (inBodyClientDeviceId) Unique Android or iOS device ID |
object (Agreements) Marketing agreements of the Profile. You can also pass the values as strings ( | |
object (Attributes) Custom attributes (with any names) WARNING: Some attributes cannot be sent in this object and will be ignored. Some of these are reserved for system use, and others must be sent as properties of the profile in the root object of the request body instead of inside the Click to expand the list of reserved attributesemailidclientIdphonecustomIduuidfirstNamelastNamedisplayNamecompanyaddresscityprovincezipCodecountryCodebirthDatesexavatarUrlanonymousagreementstagsbusinessProfileIdtimeipsourcenewsletter_agreementcustom_identifyfirstnamelastnamecreatedupdatedlast_activity_datebirthdateexternal_avatar_urldisplaynamereceive_smsesreceive_push_messagesreceive_webpush_messagesreceive_btooth_messagesreceive_rfid_messagesreceive_wifi_messageszipCodeanonymous_typecountry_idgeo_loc_countrygeo_loc_ispgeo_loc_latgeo_loc_lonclub_card_idtypeconfirmedfacebookIddeletedAtdeleted_uniquestatusrecognizedprevious_clientstestProfileapikeyapiKeyApiKeyApikeytrackersnr_sdk_versioneventCreateTimecorrelationId
| |
| tags | Array of strings (Tags) An array of tags assigned to the campaign |
{- "apiKey": "string",
- "identityProvider": "SYNERISE",
- "identityProviderToken": "string",
- "email": "string",
- "customId": null,
- "password": "string",
- "uuid": "string",
- "deviceId": "string",
- "agreements": {
- "email": true,
- "sms": true,
- "push": true,
- "bluetooth": false,
- "rfid": false,
- "wifi": false
}, - "attributes": {
- "property1": null,
- "property2": null
}, - "tags": [
- "string"
]
}{- "token": "eyJhbGciOiJSUzUxMiJ9.eyJzdinvalidwYmZkM2FkNDg2ZjQ3ZGRiMjE5MSIsImF1ZCI6IkFQSSIsInJsbSI6ImFub255bW91c19jbGllbnQiLCJjdGQiOjE1NTMwMDQxNTkxNTEsImVtbCI6IjYyMjM3NmY4LTAwMDAtMjIyMi1kN2Y5LTA3MGZhOTU2ZTk2M0Bhbm9ueW1vdXMuaW52YWxpZCIsImF1dGgiOiJINHNJQUFBQUFBQUFBSXVPQlFBcHUwd05BZ0FBQUE9PSIsImlzcyI6IlN5bmVyaXNlIiwiYnBpIjo0OCwiY2xJZCI6NDMzMjMwMjg4LCJleHAiOjE1NTMwMDcxNTksImFwayI6IjVBRUFBM0Q1LUUxNDctQzdFQi1ENTlFLUJDRjUwMTA5QTNEMSJ9.QOmSqrneR4mJFv4JdxTYsw_wGcDawDsVQuB-GVTcPPwijiP7lQ_Jzqq2Mypg1BS6WFlfGB8fzqCY9iMF_TdtjmoB4xBrY95ylU8L9qto-9Cw5x5TURkfxq31eryiHe2IteRAEtoVzYg2_s9QhlH6ANVcFOVp8dMno0V9bfMYfeSQa3FkjEbxFsseHkMOiADmp9-tOGtLXO942Ir-2W_Hz3Utlpt4erz0dVJBw8a-mFavPA8EEDWR7ACJNocrVHFkS3wFISh3LqLn6KkXiowaynKlJOEHGctuahzKmF3ZOJ1BvGgKohxF9OXvQs9IdmCfWhYsLr5Q2p04TJJ-MyvTipuggKVioh8mHmOFdfnN-Zused6tXzhZtKPUWTmM8cBKoAOBHExxcMQ8SVSjxnw_7_eLKm7S2wNpu0V-tiPZPCH4wYZXtWBYjmfy0V9ydjXnNunXfgxKixLeFNnONUXxEuqPLvM_xAuonQBXVN4nYrgJv8p8U6_ZlGMPjJq1szfcuBZnzI34LSEWx_nSof0XC5Czm8iG_ihG8naivNWS8h-Q-qKMP_3PPFsLSH4Egh03pH93EJUuNAeSO4RGfUX1wzMvrv1nBC1SM660uFMbq-wkplFBbKnHKMYe-qRs1-lZPG5PwPWJJdpGqOUzbnoMOJYmiq06OHHVQyJSkcEHLCk"
}Obtain a new JWT for a Profile. This method is designed to be used from a backend server that handles login requests and communicates with Synerise to execute them.
If an account for the Profile does not exist and the identityProvider is different than SYNERISE, this request creates an account.
API consumer who can use this method: Workspace (formerly Business Profile)
API key Permissions are assigned to API keys (for Profile and Workspace scopes) and dictate which operations are available when using a particular API key. In the application, you can manage those permissions in Settings > API Keys. Remember that Profile and Workspace API keys are separate entities.permission required: SAUTH_SERVER_LOGIN_CLIENT_CREATE
| ipAddress required | string The IP address of the client device that is logging in. |
| apiKey required | string (ClientApiKey) Profile (formerly "Client") API key |
| identityProvider required | string Enum: "SYNERISE" "FACEBOOK" "OAUTH" "APPLE" "GOOGLE" "UNKNOWN" The identity provider. |
| identityProviderToken | string (AuthIdentityProviderToken) Third-party authentication token used to authenticate with the Identity Provider. Required if |
string (AuthClientEmail) Profile email. Required if | |
| customId | any (AuthClientCustomId) Profile customId. Required if |
| password | string (AuthClientPassword) Profile password. Required if |
| uuid | string (AuthClientUuid) Profile UUID. Required if |
| deviceId | string (inBodyClientDeviceId) Unique Android or iOS device ID |
object (Agreements) Marketing agreements of the Profile. You can also pass the values as strings ( | |
object (Attributes) Custom attributes (with any names) WARNING: Some attributes cannot be sent in this object and will be ignored. Some of these are reserved for system use, and others must be sent as properties of the profile in the root object of the request body instead of inside the Click to expand the list of reserved attributesemailidclientIdphonecustomIduuidfirstNamelastNamedisplayNamecompanyaddresscityprovincezipCodecountryCodebirthDatesexavatarUrlanonymousagreementstagsbusinessProfileIdtimeipsourcenewsletter_agreementcustom_identifyfirstnamelastnamecreatedupdatedlast_activity_datebirthdateexternal_avatar_urldisplaynamereceive_smsesreceive_push_messagesreceive_webpush_messagesreceive_btooth_messagesreceive_rfid_messagesreceive_wifi_messageszipCodeanonymous_typecountry_idgeo_loc_countrygeo_loc_ispgeo_loc_latgeo_loc_lonclub_card_idtypeconfirmedfacebookIddeletedAtdeleted_uniquestatusrecognizedprevious_clientstestProfileapikeyapiKeyApiKeyApikeytrackersnr_sdk_versioneventCreateTimecorrelationId
| |
| tags | Array of strings (Tags) An array of tags assigned to the campaign |
{- "ipAddress": "string",
- "apiKey": "string",
- "identityProvider": "SYNERISE",
- "identityProviderToken": "string",
- "email": "string",
- "customId": null,
- "password": "string",
- "uuid": "string",
- "deviceId": "string",
- "agreements": {
- "email": true,
- "sms": true,
- "push": true,
- "bluetooth": false,
- "rfid": false,
- "wifi": false
}, - "attributes": {
- "property1": null,
- "property2": null
}, - "tags": [
- "string"
]
}{- "token": "eyJhbGciOiJSUzUxMiJ9.eyJzdinvalidwYmZkM2FkNDg2ZjQ3ZGRiMjE5MSIsImF1ZCI6IkFQSSIsInJsbSI6ImFub255bW91c19jbGllbnQiLCJjdGQiOjE1NTMwMDQxNTkxNTEsImVtbCI6IjYyMjM3NmY4LTAwMDAtMjIyMi1kN2Y5LTA3MGZhOTU2ZTk2M0Bhbm9ueW1vdXMuaW52YWxpZCIsImF1dGgiOiJINHNJQUFBQUFBQUFBSXVPQlFBcHUwd05BZ0FBQUE9PSIsImlzcyI6IlN5bmVyaXNlIiwiYnBpIjo0OCwiY2xJZCI6NDMzMjMwMjg4LCJleHAiOjE1NTMwMDcxNTksImFwayI6IjVBRUFBM0Q1LUUxNDctQzdFQi1ENTlFLUJDRjUwMTA5QTNEMSJ9.QOmSqrneR4mJFv4JdxTYsw_wGcDawDsVQuB-GVTcPPwijiP7lQ_Jzqq2Mypg1BS6WFlfGB8fzqCY9iMF_TdtjmoB4xBrY95ylU8L9qto-9Cw5x5TURkfxq31eryiHe2IteRAEtoVzYg2_s9QhlH6ANVcFOVp8dMno0V9bfMYfeSQa3FkjEbxFsseHkMOiADmp9-tOGtLXO942Ir-2W_Hz3Utlpt4erz0dVJBw8a-mFavPA8EEDWR7ACJNocrVHFkS3wFISh3LqLn6KkXiowaynKlJOEHGctuahzKmF3ZOJ1BvGgKohxF9OXvQs9IdmCfWhYsLr5Q2p04TJJ-MyvTipuggKVioh8mHmOFdfnN-Zused6tXzhZtKPUWTmM8cBKoAOBHExxcMQ8SVSjxnw_7_eLKm7S2wNpu0V-tiPZPCH4wYZXtWBYjmfy0V9ydjXnNunXfgxKixLeFNnONUXxEuqPLvM_xAuonQBXVN4nYrgJv8p8U6_ZlGMPjJq1szfcuBZnzI34LSEWx_nSof0XC5Czm8iG_ihG8naivNWS8h-Q-qKMP_3PPFsLSH4Egh03pH93EJUuNAeSO4RGfUX1wzMvrv1nBC1SM660uFMbq-wkplFBbKnHKMYe-qRs1-lZPG5PwPWJJdpGqOUzbnoMOJYmiq06OHHVQyJSkcEHLCk"
}Obtain a new JWT token for a Profile.
If the account does not exist, an account is not created.
If any additional conditions are required for logging in, the response is HTTP200 and lists the conditions.
Note that using this endpoint requires authenticating as an anonymous Profile first.
This method does not require authentication.
| apiKey required | string (ClientApiKey) Profile (formerly "Client") API key |
| identityProvider required | string Enum: "SYNERISE" "FACEBOOK" "OAUTH" "APPLE" "GOOGLE" "UNKNOWN" The identity provider. |
| identityProviderToken | string (AuthIdentityProviderToken) Third-party authentication token used to authenticate with the Identity Provider. Required if |
string (AuthClientEmail) Profile email. Required if | |
| customId | any (AuthClientCustomId) Profile customId. Required if |
| password | string (AuthClientPassword) Profile password. Required if |
| uuid | string (AuthClientUuid) Profile UUID. Required if |
| deviceId | string (inBodyClientDeviceId) Unique Android or iOS device ID |
object (Agreements) Marketing agreements of the Profile. You can also pass the values as strings ( | |
object (Attributes) Custom attributes (with any names) WARNING: Some attributes cannot be sent in this object and will be ignored. Some of these are reserved for system use, and others must be sent as properties of the profile in the root object of the request body instead of inside the Click to expand the list of reserved attributesemailidclientIdphonecustomIduuidfirstNamelastNamedisplayNamecompanyaddresscityprovincezipCodecountryCodebirthDatesexavatarUrlanonymousagreementstagsbusinessProfileIdtimeipsourcenewsletter_agreementcustom_identifyfirstnamelastnamecreatedupdatedlast_activity_datebirthdateexternal_avatar_urldisplaynamereceive_smsesreceive_push_messagesreceive_webpush_messagesreceive_btooth_messagesreceive_rfid_messagesreceive_wifi_messageszipCodeanonymous_typecountry_idgeo_loc_countrygeo_loc_ispgeo_loc_latgeo_loc_lonclub_card_idtypeconfirmedfacebookIddeletedAtdeleted_uniquestatusrecognizedprevious_clientstestProfileapikeyapiKeyApiKeyApikeytrackersnr_sdk_versioneventCreateTimecorrelationId
| |
| tags | Array of strings (Tags) An array of tags assigned to the campaign |
{- "apiKey": "string",
- "identityProvider": "SYNERISE",
- "identityProviderToken": "string",
- "email": "string",
- "customId": null,
- "password": "string",
- "uuid": "string",
- "deviceId": "string",
- "agreements": {
- "email": true,
- "sms": true,
- "push": true,
- "bluetooth": false,
- "rfid": false,
- "wifi": false
}, - "attributes": {
- "property1": null,
- "property2": null
}, - "tags": [
- "string"
]
}{- "conditions": [
- "string"
], - "status": "SUCCESS",
- "token": "string",
- "expiration": 1649283173,
- "created": 1649277173668,
- "origin": "SYNERISE",
- "customId": "card123",
- "realm": "client"
}Obtain a new JWT for an anonymous Profile. The token can be used and refreshed in the same way as tokens of registered Profiles.
| apiKey required | string (ClientApiKey) Profile (formerly "Client") API key |
| uuid required | string (inBodyClientUuid) UUID of the Profile |
| deviceId | string Unique iOS or Android device identifier. |
{- "apiKey": "string",
- "uuid": "07243772-008a-42e1-ba37-c3807cebde8f",
- "deviceId": "string"
}{- "token": "eyJhbGciOiJSUzUxMiJ9.eyJzdinvalidwYmZkM2FkNDg2ZjQ3ZGRiMjE5MSIsImF1ZCI6IkFQSSIsInJsbSI6ImFub255bW91c19jbGllbnQiLCJjdGQiOjE1NTMwMDQxNTkxNTEsImVtbCI6IjYyMjM3NmY4LTAwMDAtMjIyMi1kN2Y5LTA3MGZhOTU2ZTk2M0Bhbm9ueW1vdXMuaW52YWxpZCIsImF1dGgiOiJINHNJQUFBQUFBQUFBSXVPQlFBcHUwd05BZ0FBQUE9PSIsImlzcyI6IlN5bmVyaXNlIiwiYnBpIjo0OCwiY2xJZCI6NDMzMjMwMjg4LCJleHAiOjE1NTMwMDcxNTksImFwayI6IjVBRUFBM0Q1LUUxNDctQzdFQi1ENTlFLUJDRjUwMTA5QTNEMSJ9.QOmSqrneR4mJFv4JdxTYsw_wGcDawDsVQuB-GVTcPPwijiP7lQ_Jzqq2Mypg1BS6WFlfGB8fzqCY9iMF_TdtjmoB4xBrY95ylU8L9qto-9Cw5x5TURkfxq31eryiHe2IteRAEtoVzYg2_s9QhlH6ANVcFOVp8dMno0V9bfMYfeSQa3FkjEbxFsseHkMOiADmp9-tOGtLXO942Ir-2W_Hz3Utlpt4erz0dVJBw8a-mFavPA8EEDWR7ACJNocrVHFkS3wFISh3LqLn6KkXiowaynKlJOEHGctuahzKmF3ZOJ1BvGgKohxF9OXvQs9IdmCfWhYsLr5Q2p04TJJ-MyvTipuggKVioh8mHmOFdfnN-Zused6tXzhZtKPUWTmM8cBKoAOBHExxcMQ8SVSjxnw_7_eLKm7S2wNpu0V-tiPZPCH4wYZXtWBYjmfy0V9ydjXnNunXfgxKixLeFNnONUXxEuqPLvM_xAuonQBXVN4nYrgJv8p8U6_ZlGMPjJq1szfcuBZnzI34LSEWx_nSof0XC5Czm8iG_ihG8naivNWS8h-Q-qKMP_3PPFsLSH4Egh03pH93EJUuNAeSO4RGfUX1wzMvrv1nBC1SM660uFMbq-wkplFBbKnHKMYe-qRs1-lZPG5PwPWJJdpGqOUzbnoMOJYmiq06OHHVQyJSkcEHLCk"
}Authenticate as a User.
Note: To perform operations within a Workspace, you must select a Workspace.
| username required | string The login (email address) of the user |
| password required | string The user's password |
| deviceId | string Identifier of user's current device |
| externalProviderToken | string |
| externalProviderType | string Value: "GOOGLE" |
{- "username": "string",
- "password": "string",
- "deviceId": "string",
- "externalProviderToken": "string",
- "externalProviderType": "GOOGLE"
}{- "consumer": {
- "type": "USER",
- "businessProfileId": 0,
- "name": "string",
- "id": 0,
- "authorities": [
- "string"
], - "roles": "string"
}, - "token": "string"
}Authenticate as a User with multi-factor authentication.
Note: To perform operations within a Workspace, you must select a Workspace.
API consumer who can use this method: Synerise User
This method is available to all authenticated users, before and after multi-factor authentication is confirmed.
| mfaType required | string (MultiFactorMethod) Enum: "TOTP_AUTHENTICATOR" "EMAIL" Type of multi-factor authentication |
| verificationCode required | string Multi-factor verification code |
| deviceId | string |
| externalProviderToken | string |
| externalProviderType | string Value: "GOOGLE" |
{- "verificationCode": "string",
- "deviceId": "string",
- "externalProviderToken": "string",
- "externalProviderType": "GOOGLE"
}{- "consumer": {
- "type": "USER",
- "businessProfileId": 0,
- "name": "string",
- "id": 0,
- "authorities": [
- "string"
], - "roles": "string"
}, - "token": "string"
}After logging in as a User, select a Workspace where you want to perform operations.
API consumer who can use this method: Synerise User
This method is available to all fully-authenticated users (multifactor confirmation required, if enabled).
| businessProfileUUID required | string <uuid> UUID of the workspace |
curl --request POST \ --url https://api.synerise.com/uauth/auth/login/user/profile/%7BbusinessProfileUUID%7D \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "consumer": {
- "type": "USER",
- "businessProfileId": 0,
- "name": "string",
- "id": 0,
- "authorities": [
- "string"
], - "roles": "string"
}, - "token": "string"
}Retrieve a list of Workspaces available to the user.
API consumer who can use this method: Synerise User
This method is available to all fully-authenticated users (multifactor confirmation required, if enabled).
curl --request GET \ --url https://api.synerise.com/uauth/business-profile/ \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
[- {
- "businessProfileGuid": "string",
- "logo": "string",
- "name": "string",
- "id": 0,
- "created": "2019-08-24T14:15:22Z",
- "subdomain": "string",
- "ipRestricted": true,
- "mfaRequired": true
}
]Retrieve a list of workspace ids available to the user, with added user-specific data
API consumer who can use this method: Synerise User
This method is available to all fully-authenticated users (multifactor confirmation required, if enabled).
curl --request GET \ --url https://api.synerise.com/uauth/business-profile/ids \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
[- {
- "id": 0,
- "ipRestriction": "OFF",
- "mfaRestriction": "OFF",
- "favorite": true
}
]Retrieve information about the currently selected workspace.
API consumer who can use this method: Synerise User
This method is available to all fully-authenticated users (multifactor confirmation required, if enabled).
curl --request GET \ --url https://api.synerise.com/uauth/business-profile/current \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "selected": true,
- "data": {
- "id": 0,
- "name": "string",
- "logo": "string",
- "businessProfileGuid": "string",
- "created": "2019-08-24T14:15:22Z",
- "subdomain": "string",
- "ipRestriction": "OFF",
- "mfaRestriction": "OFF",
- "labels": [
- "string"
], - "emailAttributeName": "string",
- "organizationGuid": "string"
}
}Obtain a new Workspace JWT Token.
| apiKey required | string Workspace API key WARNING: Workspace API keys can be used to access all customer data and manage the workspace. They should only be used for server-to-server communication in integrations. DO NOT use workspace API keys in your mobile applications or websites. |
{- "apiKey": "64c09614-1b2a-42f7-804d-f647243eb1ab"
}{- "token": "string"
}Retrieve a paginated list of workflows.
API consumers who can use this method: Synerise User, Workspace (formerly Business Profile)
API key Permissions are assigned to API keys (for Profile and Workspace scopes) and dictate which operations are available when using a particular API key. In the application, you can manage those permissions in Settings > API Keys. Remember that Profile and Workspace API keys are separate entities.permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ
User permissions are grouped and assigned to user roles. For each group, you can set separate permissions for the following operations: read, execute, create, edit, delete. In the application, they are available in Settings > Roles. To edit a role's permissions, hover over the role and click the "Permissions" button.User role permission group which allows access to this method: AUTOMATION_2_JOURNEYS
| page | number >= 1 Default: 1 The selected page |
| limit | number Default: 10 Selected page |
| status | string Default: "All" Enum: "All" "Recent" "Draft" "Pending" "Active" "Paused" "Stopped" "Inactive" "Scheduled" "NoSchedule" "ScheduleOn" "ScheduleOff" Filter workflows by status |
| sort | string Default: "UpdatedTime" Enum: "Author" "Name" "CreatedTime" "UpdatedTime" "Status" Sort workflows by a property value |
| sortBy | string Example: sortBy=createdTime:desc Sort workflows clause |
| order | string Default: "Desc" Enum: "Asc" "Desc" Sorting order |
| search | string A string to search for in workflow names and email addresses of authors. Workflows that don't match the search aren't returned at all. |
| directoryId | string <uuid> UUID of the directory |
curl --request GET \ --url 'https://api.synerise.com/automation-brain/diagrams?page=SOME_NUMBER_VALUE&limit=SOME_NUMBER_VALUE&status=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&sortBy=createdTime%3Adesc&order=SOME_STRING_VALUE&search=SOME_STRING_VALUE&directoryId=SOME_STRING_VALUE' \ --header 'Authorization: Basic REPLACE_BASIC_AUTH'
{- "data": [
- {
- "diagramId": "030a9be3-8ccc-44c7-b20b-27768816cab7",
- "listingAuthor": {
- "userId": 0,
- "clientId": 0,
- "clientApiHash": "string",
- "businessProfileApiHash": "string"
}, - "name": "Example name",
- "created": 1546607838.315,
- "updated": 1546607838.315,
- "status": "Draft",
- "scheduleStatus": "On",
- "configuration": {
- "capping": {
- "limit": 0,
- "period": {
- "type": "Time",
- "timeSeconds": 0
}
}, - "multipleJourneys": false
}, - "catalogId": "030a9be3-8ccc-44c7-b20b-27768816cab7",
- "context": "Client",
- "tags": [
- {
- "hash": "030a9be3-8ccc-44c7-b20b-27768816cab7",
- "value": "string",
- "color": "#0b68ff",
- "description": "string",
- "icon": "string"
}
], - "description": "Sample workflow description",
- "hasTransformation": true,
- "businessProfileId": 0
}
], - "meta": {
- "limit": 3,
- "page": 1,
- "pages": 10,
- "total": 29
}
}Retrieve a paginated list of workflows.
API consumers who can use this method: Synerise User, Workspace (formerly Business Profile)
API key Permissions are assigned to API keys (for Profile and Workspace scopes) and dictate which operations are available when using a particular API key. In the application, you can manage those permissions in Settings > API Keys. Remember that Profile and Workspace API keys are separate entities.permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ
User permissions are grouped and assigned to user roles. For each group, you can set separate permissions for the following operations: read, execute, create, edit, delete. In the application, they are available in Settings > Roles. To edit a role's permissions, hover over the role and click the "Permissions" button.User role permission group which allows access to this method: AUTOMATION_2_JOURNEYS
| page | number >= 1 Default: 1 The selected page |
| limit | number Default: 50 Selected page |
| status | string Default: "All" Enum: "All" "Recent" "Draft" "Pending" "Active" "Paused" "Stopped" "Inactive" "Scheduled" "NoSchedule" "ScheduleOn" "ScheduleOff" Filter workflows by status |
| sort | string Default: "UpdatedTime" Enum: "Author" "Name" "CreatedTime" "UpdatedTime" "Status" Sort workflows by a property value |
| sortBy | string Example: sortBy=createdTime:desc Sort workflows clause |
| order | string Default: "Desc" Enum: "Asc" "Desc" Sorting order |
| search | string A string to search for in workflow names and email addresses of authors. Workflows that don't match the search aren't returned at all. |
| directoryId | string <uuid> UUID of the directory |
| tags | string List of comma separated tags |
curl --request GET \ --url 'https://api.synerise.com/automation-brain/v2/diagrams?page=SOME_NUMBER_VALUE&limit=SOME_NUMBER_VALUE&status=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&sortBy=createdTime%3Adesc&order=SOME_STRING_VALUE&search=SOME_STRING_VALUE&directoryId=SOME_STRING_VALUE&tags=SOME_STRING_VALUE' \ --header 'Authorization: Basic REPLACE_BASIC_AUTH'
{- "data": [
- {
- "diagramId": "030a9be3-8ccc-44c7-b20b-27768816cab7",
- "listingAuthor": {
- "userId": 0,
- "clientId": 0,
- "clientApiHash": "string",
- "businessProfileApiHash": "string"
}, - "name": "Example name",
- "created": 1546607838.315,
- "updated": 1546607838.315,
- "status": "Draft",
- "scheduleStatus": "On",
- "configuration": {
- "capping": {
- "limit": 0,
- "period": {
- "type": "Time",
- "timeSeconds": 0
}
}, - "multipleJourneys": false
}, - "catalogId": "030a9be3-8ccc-44c7-b20b-27768816cab7",
- "context": "Client",
- "tags": [
- {
- "hash": "030a9be3-8ccc-44c7-b20b-27768816cab7",
- "value": "string",
- "color": "#0b68ff",
- "description": "string",
- "icon": "string"
}
], - "description": "Sample workflow description",
- "hasTransformation": true,
- "businessProfileId": 0
}
], - "meta": {
- "limit": 3,
}
}Run a or resume workflow.
API consumers who can use this method: Synerise User, Workspace (formerly Business Profile)
API key Permissions are assigned to API keys (for Profile and Workspace scopes) and dictate which operations are available when using a particular API key. In the application, you can manage those permissions in Settings > API Keys. Remember that Profile and Workspace API keys are separate entities.permission required: AUTOMATON_BRAIN_DIAGRAM_EXECUTE
User permissions are grouped and assigned to user roles. For each group, you can set separate permissions for the following operations: read, execute, create, edit, delete. In the application, they are available in Settings > Roles. To edit a role's permissions, hover over the role and click the "Permissions" button.User role permission group which allows access to this method: AUTOMATION_2_JOURNEYS
| diagramId required | string UUID of the workflow/diagram. |
| scheduleAction | string Enum: "On" "Off" "NoAction" |
{- "scheduleAction": "On"
}{- "timestamp": "2019-08-24T14:15:22Z",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Pause a workflow.
API consumers who can use this method: Synerise User, Workspace (formerly Business Profile)
API key Permissions are assigned to API keys (for Profile and Workspace scopes) and dictate which operations are available when using a particular API key. In the application, you can manage those permissions in Settings > API Keys. Remember that Profile and Workspace API keys are separate entities.permission required: AUTOMATON_BRAIN_DIAGRAM_EXECUTE
User permissions are grouped and assigned to user roles. For each group, you can set separate permissions for the following operations: read, execute, create, edit, delete. In the application, they are available in Settings > Roles. To edit a role's permissions, hover over the role and click the "Permissions" button.User role permission group which allows access to this method: AUTOMATION_2_JOURNEYS
| diagramId required | string UUID of the workflow/diagram. |
| scheduleAction | string Enum: "On" "Off" "NoAction" |
{- "scheduleAction": "On"
}{- "timestamp": "2019-08-24T14:15:22Z",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Stop a workflow.
WARNING: A stopped workflow can't be restarted.
API consumers who can use this method: Synerise User, Workspace (formerly Business Profile)
API key Permissions are assigned to API keys (for Profile and Workspace scopes) and dictate which operations are available when using a particular API key. In the application, you can manage those permissions in Settings > API Keys. Remember that Profile and Workspace API keys are separate entities.permission required: AUTOMATON_BRAIN_DIAGRAM_EXECUTE
User permissions are grouped and assigned to user roles. For each group, you can set separate permissions for the following operations: read, execute, create, edit, delete. In the application, they are available in Settings > Roles. To edit a role's permissions, hover over the role and click the "Permissions" button.User role permission group which allows access to this method: AUTOMATION_2_JOURNEYS
| diagramId required | string UUID of the workflow/diagram. |
curl --request POST \ --url https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/stop \ --header 'Authorization: Basic REPLACE_BASIC_AUTH'
{- "timestamp": "2019-08-24T14:15:22Z",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Enable schedule for workflow.
API consumers who can use this method: Synerise User, Workspace (formerly Business Profile)
API key Permissions are assigned to API keys (for Profile and Workspace scopes) and dictate which operations are available when using a particular API key. In the application, you can manage those permissions in Settings > API Keys. Remember that Profile and Workspace API keys are separate entities.permission required: AUTOMATON_BRAIN_DIAGRAM_EXECUTE
User permissions are grouped and assigned to user roles. For each group, you can set separate permissions for the following operations: read, execute, create, edit, delete. In the application, they are available in Settings > Roles. To edit a role's permissions, hover over the role and click the "Permissions" button.User role permission group which allows access to this method: AUTOMATION_2_JOURNEYS
| diagramId required | string UUID of the workflow/diagram. |
curl --request POST \ --url https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/schedule-on \ --header 'Authorization: Basic REPLACE_BASIC_AUTH'
{- "timestamp": "2019-08-24T14:15:22Z",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Disable schedule for workflow.
API consumers who can use this method: Synerise User, Workspace (formerly Business Profile)
API key Permissions are assigned to API keys (for Profile and Workspace scopes) and dictate which operations are available when using a particular API key. In the application, you can manage those permissions in Settings > API Keys. Remember that Profile and Workspace API keys are separate entities.permission required: AUTOMATON_BRAIN_DIAGRAM_EXECUTE
User permissions are grouped and assigned to user roles. For each group, you can set separate permissions for the following operations: read, execute, create, edit, delete. In the application, they are available in Settings > Roles. To edit a role's permissions, hover over the role and click the "Permissions" button.User role permission group which allows access to this method: AUTOMATION_2_JOURNEYS
| diagramId required | string UUID of the workflow/diagram. |
curl --request POST \ --url https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/schedule-off \ --header 'Authorization: Basic REPLACE_BASIC_AUTH'
{- "timestamp": "2019-08-24T14:15:22Z",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Retrieve workflow execution statistics, including node statistics and metadata (name, type).
API consumers who can use this method: Synerise User, Workspace (formerly Business Profile)
API key Permissions are assigned to API keys (for Profile and Workspace scopes) and dictate which operations are available when using a particular API key. In the application, you can manage those permissions in Settings > API Keys. Remember that Profile and Workspace API keys are separate entities.permission required: AUTOMATION_STATS_READ
User permissions are grouped and assigned to user roles. For each group, you can set separate permissions for the following operations: read, execute, create, edit, delete. In the application, they are available in Settings > Roles. To edit a role's permissions, hover over the role and click the "Permissions" button.User role permission group which allows access to this method: AUTOMATION_2_JOURNEYS
| diagramId required | string UUID of the workflow/diagram. |
| timePeriod | string Enum: "currentHour" "currentDay" "previousHour" "previousDay" Time period for the statistics |
curl --request GET \ --url 'https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/statistics?timePeriod=SOME_STRING_VALUE' \ --header 'Authorization: Basic REPLACE_BASIC_AUTH'
{- "started": 0,
- "finished": 0,
- "inProgress": 0,
- "blocks": {
- "property1": {
- "name": "string",
- "type": "EventTrigger",
- "entered": 0,
- "executed": 0,
- "property1": 0,
- "property2": 0
}, - "property2": {
- "name": "string",
- "type": "EventTrigger",
- "entered": 0,
- "executed": 0,
- "property1": 0,
- "property2": 0
}
}
}Retrieve execution statistics for a single block enriched with block metadata (name, type).
API consumers who can use this method: Synerise User, Workspace (formerly Business Profile)
API key Permissions are assigned to API keys (for Profile and Workspace scopes) and dictate which operations are available when using a particular API key. In the application, you can manage those permissions in Settings > API Keys. Remember that Profile and Workspace API keys are separate entities.permission required: AUTOMATION_STATS_READ
User permissions are grouped and assigned to user roles. For each group, you can set separate permissions for the following operations: read, execute, create, edit, delete. In the application, they are available in Settings > Roles. To edit a role's permissions, hover over the role and click the "Permissions" button.User role permission group which allows access to this method: AUTOMATION_2_JOURNEYS
| diagramId required | string UUID of the workflow/diagram. |
| blockId required | string UUID of the node |
| timePeriod | string Enum: "currentHour" "currentDay" "previousHour" "previousDay" Time period for statistics |
curl --request GET \ --url 'https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/blocks/%7BblockId%7D/statistics?timePeriod=SOME_STRING_VALUE' \ --header 'Authorization: Basic REPLACE_BASIC_AUTH'
{- "name": "string",
- "type": "EventTrigger",
- "entered": 0,
- "executed": 0,
- "property1": 0,
- "property2": 0
}If your workflow includes nodes for data processing (pulling or pushing data, Data Transformation, imports into Synerise), logs can help you with troubleshooting.
Retrieve the status of a workflow's last run and its stages.
The workflow must contain at least one of the following nodes:
API consumers who can use this method: Synerise User, Workspace (formerly Business Profile)
API key Permissions are assigned to API keys (for Profile and Workspace scopes) and dictate which operations are available when using a particular API key. In the application, you can manage those permissions in Settings > API Keys. Remember that Profile and Workspace API keys are separate entities.permission required: MORPH_JOBS_READ
User permissions are grouped and assigned to user roles. For each group, you can set separate permissions for the following operations: read, execute, create, edit, delete. In the application, they are available in Settings > Roles. To edit a role's permissions, hover over the role and click the "Permissions" button.User role permission group which allows access to this method: AUTOMATION_2_JOURNEYS
| automationWorkflowId required | string <uuid>
|
| limit | number <= 5000 Default: 500 The maximum number of log lines in each stage |
curl --request GET \ --url 'https://api.synerise.com/morph/logs/automation/%7BautomationWorkflowId%7D/last-run/with-stages?limit=SOME_NUMBER_VALUE' \ --header 'Authorization: Basic REPLACE_BASIC_AUTH'
{- "startTime": 1693922864.263536,
- "runId": "78c33d18-170c-44d3-a227-b3194f134f73",
- "pipelineResponse": {
- "importData": {
- "status": "Pending",
- "runDate": "2022-01-31T12:37:25.109412Z",
- "logs": [
- "2022-01-31T12:37:25.109412Z INFO Job finished with success!"
], - "logsSize": 0,
- "failedRecordsFileId": "61178961-4906-45da-b366-b59b08009cbf",
- "successCount": 0,
- "failureCount": 0
}, - "transformData": {
- "status": "Pending",
- "runDate": "2022-01-31T12:37:25.109412Z",
- "logs": [
- "2022-01-31T12:37:25.109412Z INFO Job finished with success!"
], - "logsSize": 0,
- "failedRecordsFileId": "61178961-4906-45da-b366-b59b08009cbf",
- "successCount": 0,
- "failureCount": 0
}, - "exportData": {
- "status": "Pending",
- "runDate": "2022-01-31T12:37:25.109412Z",
- "logs": [
- "2022-01-31T12:37:25.109412Z INFO Job finished with success!"
], - "logsSize": 0,
- "failedRecordsFileId": "61178961-4906-45da-b366-b59b08009cbf",
- "successCount": 0,
- "failureCount": 0
}
}, - "overallRunStatus": "Pending"
}